×

Discussion Board

Results 1 to 4 of 4
  1. #1
    Registered User
    Join Date
    Mar 2003
    Posts
    7

    RE: New Linux driver (1.04) for Nokia D211 now available!

    Hi Nokia team,
    You're right, there isn't an easy solution. We had decided, to follow your recommendation to upgrade to RedHat 8.0. Not an SOOO easy task for a production server, but the work is done.
    Building the driver on the new system has shown, that it doesn't drive anything.
    The only solution would be to build the whole thing on the system it shall run on.
    This could lead to build errors which (reported to the developers) would lead to a functional version.
    Nobody wants You to make the driver GPL, but PPLLEEAASSEE let this binary part out of the way!!!
    So I (Frank) hadn't any problem with the proprietary driver for my winmodem. This isn't GPL, came as a whole as source, built well and (the final target) works.
    F.Schafer / M. Vancl

  2. #2
    Registered User
    Join Date
    Mar 2003
    Posts
    7

    RE: New Linux driver (1.04) for Nokia D211 now available!

    Hi there,

    I've some further info about the d211-linux-1.04 driver/programs.

    As former stated, we use the card (just now) only to send SMS - thus in GSM mode.

    I can send SMS just fine, but sometimes I get a timeout error from nokia_ctl. The SMS is delivered in this case, but it's annoying.

    Something about receiving SMS:

    I could send 10 SMS to the card. The 11'th timed out on the SMS-center. Thus, 10 SMS are on the SIM-card of the card phone. IMHO it should be relatively easy to read these SMS using the AT commands for the serial port. Is there some information available, which AT commands are supported by the card phone?

    Some time ago we used normal mobile phones for these tasks. Have a look at gnokii. This is a GPLed package, which does this and works with the Nokia 2110 (amongst a lot of others).

    Still a question: Is there a possibility, to use the GSM data services of the card phone via /dev/ttyNC0 ?

    Regards
    Frank

  3. #3
    Regular Contributor
    Join Date
    Mar 2003
    Posts
    452

    New Linux driver (1.04) for Nokia D211 now available!

    Hello,

    New drivers for Linux are now available at www.nokia.com -> Support -> D211 -> Software

    Here is a link: http://www.nokia.com/phones/productsupport/d211/index.html


    The following files are available:

    - nokia_d211-linux-1.04.tar.gz (English, GZ -file, 131.0 KB)
    Download both the source part and one of the binary parts below into your computer and unpack them. (Select the binary part according to the RedHat version you are using.) For more detailed instructions please download the Support Guide.

    Tested with: x86 compatible single processor Linux only PC/Laptop, 2.4.0 kernel.


    Nokia D211 Software for Linux (binary part for RedHat 8.x versions):

    - nokia_d211-linux-1.04-bin-gcc3.2.tar.gz (English, GZ -file, 257.0 KB)
    This package is for RedHat 8.x versions. Download and unpack it with the source part. For more detailed instructions please download the Support Guide.

    Tested with: x86 compatible single processor Linux only PC/Laptop, 2.4.0 kernel.


    Nokia D211 Software for Linux (binary part for RedHat 7.x versions):

    - nokia_d211-linux-1.04-bin-gcc2.96.tar.gz (English, GZ -file, 258.0 KB)
    This package is for RedHat 7.x versions. Download and unpack it with the source part. For more detailed instructions please download the Support Guide.

    Tested with: x86 compatible single processor Linux only PC/Laptop, 2.4.0 kernel.


    Nokia D211 Software for Linux Support Guide:

    - d211_linuxguide.pdf (English, PDF -file, 296.0 KB)


    Best Regards,

    Nokia D211 Support

  4. #4
    Registered User
    Join Date
    Mar 2003
    Posts
    3

    RE: New Linux driver (1.04) for Nokia D211 now available!

    Dear Nokia D211 Support,

    The new 1.04 driver still has a linking error when compiling for the Linux StrongARM platform (e.g. Compaq iPAQ 3650 running linux kernel 2.4.16-rmk1). The linking error occurs when the following command is executed:
    "arm-linux-ld -r -o nokia_cs.o dllc.o dmodule.o dtools.o dserial.o nokia_cs.a"
    The result of this command causes a "Segmentation fault". The library file "Nokia_cs.a" (which comes with the binary part) needs to be compatible with the StrongARM platform.

    Will it be possible if you could provide the 1.04 binary part compiled for the StrongARM?

    Thanks in advance for your help.
    Regards,
    Leo

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×